ion-content {
    height: 100%;
    --background: #05f url("../../assets/bg.png") no-repeat center center / cover;

    ion-grid {
        height: 100%;
    }
}

#logo {
    height: 30vh;
    width: 100%;
    padding-top: 15vh;
    text-align: center;

    img {
        width: 90px;
    }
}

#welcome {
    height: 10vh;
    padding-top: 5vh;
    width: 100%;
    text-align: center;

    p {
        margin-block-end: 2vh;
        font-size: 10pt;
        color: #fff;
    }

    h1 {
        font-size: 16pt;
        color: #fff;
        margin-top: 0;
        margin-block-start: 0;
    }
}

#welcomeOff {
    height: 10vh;
    padding-top: 3vh;
    width: 100%;
    text-align: center;
    p {
        margin-block-end: 2vh;
        font-size: 14pt;
        color: #fff;
    }
}

#btn {
    height: 50vh;
    width: 100%;
    text-align: center;
    padding-top: 10vh;

    .btnSquare {
        border: solid 1px #fff;
        border-radius: 15px;
        display: inline-table;
        height: 20vh;
        width: 20vh;
        padding: 15px;
        margin: 10px;
        text-align: center;
        color: #fff;

        ion-icon {
            display: block;
            font-size: 3em;
            color: #fff;
            margin: auto;
        }

        p {
            font-size: 0.75em;
        }

        div {
        }
    }
}

.btnBack {
    padding: 15px;
    color: #fff;

    p {
        display: block;
        width: fit-content;
        margin: auto;

        ion-icon {
            display: inline-block;
            vertical-align: middle;
        }
        span {
            display: inline-block;
            vertical-align: middle;
            padding-right: 5px;
        }
    }
}

#backupInfo {
    height: 50vh;
    width: 100%;
    text-align: center;

    ion-card {
        width: 45em;
        max-width: 100%;
        align-self: auto;
        --background: #fff;
        margin: auto;

        ion-card-content {
            ion-item {
                --inner-padding-start: 0;
                --padding-start: 0;
                --inner-padding-end: 0;
                --padding-end: 0;

                ion-label {
                    font-size: 10pt;
                }

                p {
                    word-break: break-all;
                }
            }
        }
    }

    ion-button {
        color: #fff;
        font-size: 14pt;
        font-weight: bold;
        text-transform: none;
        margin: auto;
    }
}

#form {
    height: 50vh;
    text-align: center;
    margin: auto;
    padding-top: 10vh;

    ion-card {
        width: 85%;
        align-self: auto;
        --background: #fff;
        margin: auto;

        ion-card-content {
            font-size: 14px;
            padding-top: 3vh;
            padding-bottom: 3vh;
        }
    }

    input {
        width: 100%;
        border: none;
        border-bottom: 1px solid #ccc;
        padding: 0.75em 0 0.25em 0;
        color: #000;
        font-size: 11pt;
    }

    input:focus {
        outline: none;
        border: none;
        border-bottom: 1px solid #407ffd;
    }

    p {
        height: 5vh;
        color: #ff4400;
        font-size: 10pt;
        padding: 1vh;
        margin: 0;
    }

    ion-button {
        color: #fff;
        font-size: 14pt;
        font-weight: bold;
        text-transform: none;
    }
}

#signin {
    height: 8vh;
    width: 100%;
    text-align: center;
    color: #fff;

    a {
        color: #fff;
        font-weight: bold;
        text-decoration: underline;
    }
}

.browse {
    display: none;
}

.loading {
    display: block;
    width: 100%;
    text-align: center;
}
